NamedPipeUnitTest (jTDS API)
Keywords: net.sourceforge.jtds.test.NamedPipeUnitTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class NamedPipeUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.UnitTestBase
                  net.sourceforge.jtds.test.NamedPipeUnitTest

All Implemented Interfaces:
  junit.framework.Test

public class NamedPipeUnitTest
extends UnitTestBase

Unit tests for the `SharedNamedPipe` class.

Version:
  $Id: NamedPipeUnitTest.java,v 1.9 2007/07/08 18:08:54 bheineman Exp $
Author:
  David D. Kilzer

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`NamedPipeUnitTest(java.lang.String name)` Constructor.

Method Summary
`private int` | `invoke_calculateBufferSize(int tdsVersion, int packetSize)` Helper method to invoke `Support.calculateNamedPipeBufferSize(int, int)` using reflection.
`void` | `testCalculateBufferSize_TDS42()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 4.2 when the packet size is set to 0.
`void` | `testCalculateBufferSize_TDS50()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 5.0 when the packet size is set to 0.
`void` | `testCalculateBufferSize_TDS70()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 7.0 when the packet size is set to 0.
`void` | `testCalculateBufferSize_TDS80()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 8.0 when the packet size is set to 0.

Methods inherited from class net.sourceforge.jtds.test.UnitTestBase
`assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedPipeUnitTest

    public NamedPipeUnitTest(java.lang.String name)

  Constructor.

Parameters:
  `name` - The name of the test.

Method Detail

### testCalculateBufferSize_TDS42

    public void testCalculateBufferSize_TDS42()

  Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 4.2 when the packet size is set to 0.

### testCalculateBufferSize_TDS50

    public void testCalculateBufferSize_TDS50()

  Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 5.0 when the packet size is set to 0.

### testCalculateBufferSize_TDS70

    public void testCalculateBufferSize_TDS70()

  Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 7.0 when the packet size is set to 0.

### testCalculateBufferSize_TDS80

    public void testCalculateBufferSize_TDS80()

  Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 8.0 when the packet size is set to 0.

### invoke_calculateBufferSize

    private int invoke_calculateBufferSize(int tdsVersion,
                                           int packetSize)

  Helper method to invoke `Support.calculateNamedPipeBufferSize(int, int)` using reflection.

  Parameters:
    `tdsVersion` - The TDS version as an `int`.
    `packetSize` - The packet size as an `int`.
  Returns:
    Result of calling `Support.calculateNamedPipeBufferSize(int, int)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009